> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nudj.cx/llms.txt
> Use this file to discover all available pages before exploring further.

# Challenge stats overview

> Aggregated challenge analytics: summary, actions breakdown, participantsByDay, timeseries, funnel.



## OpenAPI

````yaml /openapi/analytics.json get /challenges/stats/overview
openapi: 3.1.0
info:
  title: Nudj Analytics API
  version: 1.0.0
servers:
  - url: https://{subdomain}.nudj.cx/api/v2/analytics
    description: Organization API Server
    variables:
      subdomain:
        description: Your organization's subdomain (required)
        default: your-org
security: []
paths:
  /challenges/stats/overview:
    get:
      tags:
        - Challenge
      summary: Challenge stats overview
      description: >-
        Aggregated challenge analytics: summary, actions breakdown,
        participantsByDay, timeseries, funnel.
      operationId: getChallengeStatsOverview
      parameters:
        - in: query
          name: challengeId
          schema:
            type: string
          required: true
        - in: query
          name: communityId
          schema:
            type: string
        - in: query
          name: startDate
          schema:
            type: string
        - in: query
          name: endDate
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  summary:
                    type: object
                    properties:
                      totalParticipants:
                        type: number
                      totalCompletions:
                        type: number
                      completionRate:
                        type: number
                      averageTimeToCompleteHours:
                        type: number
                      startedNotCompleted:
                        type: number
                    required:
                      - totalParticipants
                      - totalCompletions
                      - completionRate
                      - averageTimeToCompleteHours
                      - startedNotCompleted
                  actionsBreakdown:
                    type: array
                    items:
                      type: object
                      properties:
                        actionId:
                          type: string
                        actionTitle:
                          type: string
                        totalCompletions:
                          type: number
                        completionRate:
                          type: number
                      required:
                        - actionId
                        - totalCompletions
                        - completionRate
                  participantsByDay:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        count:
                          type: number
                      required:
                        - date
                        - count
                  timeseries:
                    type: array
                    items:
                      type: object
                      properties:
                        date:
                          type: string
                        started:
                          type: number
                        completed:
                          type: number
                        uniqueUsers:
                          type: number
                      required:
                        - date
                        - started
                        - completed
                        - uniqueUsers
                  funnel:
                    type: array
                    items:
                      type: object
                      properties:
                        step:
                          type: string
                        users:
                          type: number
                        conversionFromStart:
                          type: number
                      required:
                        - step
                        - users
                        - conversionFromStart
                required:
                  - summary
                  - actionsBreakdown
                  - participantsByDay
                  - timeseries
                  - funnel
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.BAD_REQUEST'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.NOT_FOUND'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error.INTERNAL_SERVER_ERROR'
components:
  schemas:
    error.BAD_REQUEST:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Invalid input data
        code:
          type: string
          description: The error code
          example: BAD_REQUEST
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: BAD_REQUEST
        message: Invalid input data
        issues: []
    error.NOT_FOUND:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Not found
        code:
          type: string
          description: The error code
          example: NOT_FOUND
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: NOT_FOUND
        message: Not found
        issues: []
    error.INTERNAL_SERVER_ERROR:
      type: object
      properties:
        message:
          type: string
          description: The error message
          example: Internal server error
        code:
          type: string
          description: The error code
          example: INTERNAL_SERVER_ERROR
        issues:
          type: array
          items:
            type: object
            properties:
              message:
                type: string
            required:
              - message
          description: An array of issues that were responsible for the error
          example: []
      required:
        - message
        - code
      title: Error
      description: The error information
      example:
        code: INTERNAL_SERVER_ERROR
        message: Internal server error
        issues: []

````